org.apache.hadoop.mapreduce

## Enum JobPriority

- java.lang.Object
- - java.lang.Enum<JobPriority>
  - - org.apache.hadoop.mapreduce.JobPriority

- All Implemented Interfaces:
    Serializable, Comparable<JobPriority>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public enum JobPriority
      extends Enum<JobPriority>

  Used to describe the priority of the running job. DEFAULT : While submitting a job, if the user is not specifying priority, YARN has the capability to pick the default priority as per its config. Hence MapReduce can indicate such cases with this new enum. UNDEFINED_PRIORITY : YARN supports priority as an integer. Hence other than the five defined enums, YARN can consider other integers also. To generalize such cases, this specific enum is used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `HIGH`
    `LOW`
    `NORMAL`
    `UNDEFINED_PRIORITY`
    `VERY_HIGH`
    `VERY_LOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JobPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERY_HIGH

          public static final JobPriority VERY_HIGH

    - #### HIGH

          public static final JobPriority HIGH

    - #### NORMAL

          public static final JobPriority NORMAL

    - #### LOW

          public static final JobPriority LOW

    - #### VERY_LOW

          public static final JobPriority VERY_LOW

    - #### DEFAULT

          public static final JobPriority DEFAULT

    - #### UNDEFINED_PRIORITY

          public static final JobPriority UNDEFINED_PRIORITY

  - ### Method Detail

    - #### values

          public static JobPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobPriority c : JobPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Apache Software Foundation. All rights reserved.